Summary: Client and server for sending messages to users on remote host
Name: rwall
Version: 0.10
Release: 3
Copyright: BSD
Group: Networking
Source: ftp://sunsite.unc.edu/pub/Linux/system/network/daemons/netkit-rwall-0.10.tar.gz
Source1: rwalld.init
Patch: netkit-rwall-0.10-misc.patch
Patch1: netkit-rwalld-0.10-banner.patch
BuildRoot: /var/tmp/rwall-root
Prereq: /sbin/chkconfig

%changelog

* Tue Oct 28 1997 Erik Troan <ewt@redhat.com>

- fixed init script (didn't include function library)
- doesn't invoke wall with -n anymore

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>

- added a chkconfig compatible initscript
- added %attr attributes

* Tue Jul 15 1997 Erik Troan <ewt@redhat.com>

- initial build

%description
The rwall client sends a message to an rwall daemon running on a remote
machine, which relays the message to all of the users on the remote
machine. The rwall daemon is run from /etc/inetd.conf, and is disabled
by default on Red Hat systems.

%prep
%setup -n netkit-rwall-0.10
%patch -p1
%patch1 -p1

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/man/man1
mkdir -p $RPM_BUILD_ROOT/usr/man/man8
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
make INSTALLROOT=$RPM_BUILD_ROOT install
install -m 755 $RPM_SOURCE_DIR/rwalld.init $RPM_BUILD_ROOT/etc/rc.d/init.d/rwalld

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add rwalld

%postun
if [ $1 = 0 ]; then
    /sbin/chkconfig --del rwalld
fi

%files
%attr(-,root,root) /usr/sbin/rpc.rwalld
%attr(-,root,root) /usr/man/man8/rpc.rwalld.8
%attr(-,root,root) /usr/man/man8/rwalld.8
%attr(-,root,root) /usr/bin/rwall
%attr(-,root,root) /usr/man/man1/rwall.1
%attr(-,root,root) %config /etc/rc.d/init.d/rwalld
